Package com.xebialabs.xlrelease.utils

## Class CiHelper

- java.lang.Object
- - com.xebialabs.xlrelease.utils.CiHelper

-     public class CiHelper
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CiHelper.PropertyAction` |
    `static interface` | `CiHelper.PropertyFilter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.function.Function<ConfigurationItem,​java.lang.String>` | `TO_ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `eraseTokens​(ConfigurationItem ci)` |
    `static void` | `fixUpInternalReferences​(ConfigurationItem parent)` |
    `static ConfigurationItem` | `forFields​(ConfigurationItem ci, CiHelper.PropertyFilter filter, CiHelper.PropertyAction action)` |
    `static java.util.Set<ConfigurationItem>` | `getExternalReferences​(ConfigurationItem parentCi)` |
    `static java.util.List<ConfigurationItem>` | `getNestedCis​(ConfigurationItem ci)` |
    `static java.util.List<ConfigurationItem>` | `getNestedCis​(java.util.Collection<? extends ConfigurationItem> cis)` |
    `static boolean` | `isChildViaOneOfChildProperties​(ConfigurationItem possibleChild, ConfigurationItem parent)` |
    `static boolean` | `isLazyConfigurationItem​(ConfigurationItem possibleChild)` |
    `static void` | `removeCisWithId​(java.util.Collection<? extends ConfigurationItem> fromCis, java.lang.String idToRemove)` |
    `static void` | `rewriteWithNewId​(ConfigurationItem ci, java.lang.String newId)` |
    `static void` | `stripChildrenCis​(ConfigurationItem ci)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TO_ID

          public static final java.util.function.Function<ConfigurationItem,​java.lang.String> TO_ID

  - ### Constructor Detail

    - #### CiHelper

          public CiHelper()

  - ### Method Detail

    - #### getNestedCis

          public static java.util.List<ConfigurationItem> getNestedCis​(java.util.Collection<? extends ConfigurationItem> cis)

    - #### getNestedCis

          public static java.util.List<ConfigurationItem> getNestedCis​(ConfigurationItem ci)

    - #### eraseTokens

          public static void eraseTokens​(ConfigurationItem ci)

    - #### rewriteWithNewId

          public static void rewriteWithNewId​(ConfigurationItem ci,
                                              java.lang.String newId)

    - #### getExternalReferences

          public static java.util.Set<ConfigurationItem> getExternalReferences​(ConfigurationItem parentCi)

    - #### isLazyConfigurationItem

          public static boolean isLazyConfigurationItem​(ConfigurationItem possibleChild)

    - #### stripChildrenCis

          public static void stripChildrenCis​(ConfigurationItem ci)

    - #### removeCisWithId

          public static void removeCisWithId​(java.util.Collection<? extends ConfigurationItem> fromCis,
                                             java.lang.String idToRemove)

    - #### fixUpInternalReferences

          public static void fixUpInternalReferences​(ConfigurationItem parent)

    - #### isChildViaOneOfChildProperties

          public static boolean isChildViaOneOfChildProperties​(ConfigurationItem possibleChild,
                                                               ConfigurationItem parent)

    - #### forFields

          public static ConfigurationItem forFields​(ConfigurationItem ci,
                                                    CiHelper.PropertyFilter filter,
                                                    CiHelper.PropertyAction action)